LibreOffice: ViewSettings Service Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | Public Attributes | List of all members
ViewSettings Service Referencepublished

provides access to the settings of the controller of a text document. More...

`import"ViewSettings.idl";`

Inheritance diagram for ViewSettings:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet

## Public Attributes
boolean | ShowAnnotations
| If this property is `TRUE`, annotations (notes) are visible. More...
boolean | ShowBreaks
| If this property is `TRUE`, paragraph line breaks are visible. More...
boolean | ShowDrawings
| If this property is `TRUE`, shapes are visible. More...
boolean | ShowFieldCommands
| If this property is `TRUE`, text fields are shown with their commands; otherwise the content is visible. More...
boolean | ShowFootnoteBackground
| If this property is `TRUE`, footnotes symbols are displayed with gray background. More...
boolean | ShowGraphics
| If this property is `TRUE`, graphic objects are visible. More...
boolean | ShowHiddenParagraphs
| If this property is `TRUE`, hidden paragraphs are displayed. More...
boolean | ShowHiddenText
| If this property is `TRUE`, hidden text is displayed. More...
boolean | ShowRulers
| ShowHoriRuler and ShowVertRuler determine whether a ruler is visible. More...
boolean | ShowHoriRuler
| If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal ruler is displayed. More...
boolean | ShowHoriScrollBar
| If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal scroll bar is displayed. More...
boolean | ShowIndexMarkBackground
| If this property is `TRUE`, index marks are displayed with gray background. More...
boolean | ShowParaBreaks
| If this property is `TRUE`, paragraph breaks are visible. More...
boolean | ShowProtectedSpaces
| If this property is `TRUE`, protected spaces (hard spaces) are displayed with gray background. More...
boolean | ShowSoftHyphens
| If this property is `TRUE`, soft hyphens are displayed with gray background. More...
boolean | ShowSpaces
| If this property is `TRUE`, spaces are displayed with dots. More...
boolean | ShowTableBoundaries
| If this property is `TRUE`, table boundaries are displayed. More...
boolean | ShowTables
| If this property is `TRUE`, tables are visible. More...
boolean | ShowTabstops
| If this property is `TRUE`, tab stops are visible. More...
boolean | ShowTextBoundaries
| If this property is `TRUE`, text boundaries are displayed. More...
boolean | ShowTextFieldBackground
| If this property is `TRUE`, text fields are displayed with gray background. More...
boolean | ShowVertRuler
| If this property is `TRUE`, the vertical ruler is displayed. More...
boolean | ShowVertScrollBar
| If this property is `TRUE`, the vertical scroll bar is displayed. More...
boolean | SmoothScrolling
| If this property is `TRUE`, smooth scrolling is active. More...
boolean | IsVertRulerRightAligned
| If this property is `TRUE`, the vertical ruler is aligned to the right side of the view and the vertical scrollbar is on the left. More...
boolean | ShowOnlineLayout
| If this property is `TRUE` the document will be displayed as if it were a HTML document. More...
short | ZoomType
| This property defines the zoom type for the document. More...
short | ZoomValue
| Defines the zoom value to use. More...
boolean | IsExecuteHyperlinks
| If this property is `TRUE` hyperlinks in the document are executed (loaded) on mouse click. More...
boolean | IsRasterVisible
| Specifies whether to display the grid or not. More...
boolean | IsSnapToRaster
| Specifies whether to move frames, drawing elements, and form functions only between grid points. More...
long | RasterSubdivisionX
| Specifies the number of intervals between grid points on the X-axis. More...
long | RasterSubdivisionY
| Specifies the number of intervals between grid points on the Y-axis. More...
long | RasterResolutionX
| Defines the unit of measure for the spacing between grid points on the X-axis. More...
long | RasterResolutionY
| Defines the unit of measure for the spacing between grid points on the Y-axis. More...
boolean | ShowHiddenCharacters
| If this property is `TRUE`, hidden characters are displayed. More...
boolean | ShowNonprintingCharacters
| If this property is `TRUE`, the settings of non-printing characters are applied. More...
long | HorizontalRulerMetric
| metric unit of the horizontal ruler More...
long | VerticalRulerMetric
| metric unit of the vertical ruler More...
boolean | ShowContentTips
| If this property is `TRUE`, tips for document content are shown, typically in a help balloon when the mouse is over the content. More...
boolean | ShowScrollBarTips
| If this property is `TRUE`, and the scroll bar is shown, a tool tip is displayed while scrolling. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the settings of the controller of a text document.

## Exported Interfaces

interface com::sun::star::beans::XPropertySet

## Member Data Documentation

long HorizontalRulerMetric
| optionalproperty

metric unit of the horizontal ruler

Uses values com::sun::star::awt::FieldUnit

Since
  OOo 3.1

boolean IsExecuteHyperlinks
| optionalproperty

If this property is `TRUE` hyperlinks in the document are executed (loaded) on mouse click.

Otherwise they are handled like normal text.

boolean IsRasterVisible
| optionalproperty

Specifies whether to display the grid or not.

Since
  OOo 2.0

boolean IsSnapToRaster
| optionalproperty

Specifies whether to move frames, drawing elements, and form functions only between grid points.

Since
  OOo 2.0

boolean IsVertRulerRightAligned
| property

If this property is `TRUE`, the vertical ruler is aligned to the right side of the view and the vertical scrollbar is on the left.

long RasterResolutionX
| optionalproperty

Defines the unit of measure for the spacing between grid points on the X-axis.

The value must be greater than 0. The application may enforce more restricting bounds for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

long RasterResolutionY
| optionalproperty

Defines the unit of measure for the spacing between grid points on the Y-axis.

The value must be greater than 0. The application may enforce more restricting bounds for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

long RasterSubdivisionX
| optionalproperty

Specifies the number of intervals between grid points on the X-axis.

The value must be greater or equal to 0, and the application may enforce an upper bound for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

long RasterSubdivisionY
| optionalproperty

Specifies the number of intervals between grid points on the Y-axis.

The value must be greater or equal to 0, and the application may enforce an upper bound for the value.

Since
  OOo 2.0

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the value is out of bounds.

boolean ShowAnnotations
| property

If this property is `TRUE`, annotations (notes) are visible.

boolean ShowBreaks
| property

If this property is `TRUE`, paragraph line breaks are visible.

boolean ShowContentTips
| optionalproperty

If this property is `TRUE`, tips for document content are shown, typically in a help balloon when the mouse is over the content.

Since
  LibreOffice 4.1

boolean ShowDrawings
| property

If this property is `TRUE`, shapes are visible.

boolean ShowFieldCommands
| property

If this property is `TRUE`, text fields are shown with their commands; otherwise the content is visible.

boolean ShowFootnoteBackground
| property

If this property is `TRUE`, footnotes symbols are displayed with gray background.

boolean ShowGraphics
| property

If this property is `TRUE`, graphic objects are visible.

boolean ShowHiddenCharacters
| optionalproperty

If this property is `TRUE`, hidden characters are displayed.

Since
  OOo 3.0

boolean ShowHiddenParagraphs
| property

If this property is `TRUE`, hidden paragraphs are displayed.

boolean ShowHiddenText
| property

If this property is `TRUE`, hidden text is displayed.

boolean ShowHoriRuler
| property

If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal ruler is displayed.

boolean ShowHoriScrollBar
| property

If this property is `TRUE` and the property ShowRulers is `TRUE`, the horizontal scroll bar is displayed.

boolean ShowIndexMarkBackground
| property

If this property is `TRUE`, index marks are displayed with gray background.

boolean ShowNonprintingCharacters
| optionalproperty

If this property is `TRUE`, the settings of non-printing characters are applied.

This option controls the use of the settings ShowHiddenCharacters, ShowTabstops, ShowSpaces, ShowBreaks and ShowParaBreaks

Since
  OOo 3.0

boolean ShowOnlineLayout
| property

If this property is `TRUE` the document will be displayed as if it were a HTML document.

boolean ShowParaBreaks
| property

If this property is `TRUE`, paragraph breaks are visible.

boolean ShowProtectedSpaces
| property

If this property is `TRUE`, protected spaces (hard spaces) are displayed with gray background.

boolean ShowRulers
| property

ShowHoriRuler and ShowVertRuler determine whether a ruler is visible.

boolean ShowScrollBarTips
| optionalproperty

If this property is `TRUE`, and the scroll bar is shown, a tool tip is displayed while scrolling.

Since
  LibreOffice 4.2

boolean ShowSoftHyphens
| property

If this property is `TRUE`, soft hyphens are displayed with gray background.

boolean ShowSpaces
| property

If this property is `TRUE`, spaces are displayed with dots.

boolean ShowTableBoundaries
| property

If this property is `TRUE`, table boundaries are displayed.

boolean ShowTables
| property

If this property is `TRUE`, tables are visible.

boolean ShowTabstops
| property

If this property is `TRUE`, tab stops are visible.

boolean ShowTextBoundaries
| property

If this property is `TRUE`, text boundaries are displayed.

boolean ShowTextFieldBackground
| property

If this property is `TRUE`, text fields are displayed with gray background.

boolean ShowVertRuler
| property

If this property is `TRUE`, the vertical ruler is displayed.

boolean ShowVertScrollBar
| property

If this property is `TRUE`, the vertical scroll bar is displayed.

boolean SmoothScrolling
| property

If this property is `TRUE`, smooth scrolling is active.

long VerticalRulerMetric
| optionalproperty

metric unit of the vertical ruler

Uses values from com::sun::star::awt::FieldUnit

Since
  OOo 3.1

short ZoomType
| property

This property defines the zoom type for the document.

See also
  com::sun::star::view::DocumentZoomType

short ZoomValue
| property

Defines the zoom value to use.

Valid only if the ZoomType is set to com::sun::star::view::DocumentZoomType::BY_VALUE.

The documentation for this service was generated from the following file:

- com/sun/star/text/ViewSettings.idl